//+------------------------------------------------------------------+
//|                                                         _Tru.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 Blue
#property indicator_color3 Green
//---- input parameters
extern int       ma1=5;
extern int       ma2=34;
extern double    por =1;
//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];
double ExtMapBuffer3[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0,DRAW_HISTOGRAM);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexStyle(2,DRAW_LINE);
   SetIndexBuffer(2,ExtMapBuffer3);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
      if(counted_bars>0)
        counted_bars--; 
   for (int i=0;i<1000;i++)//     
     {
     double a = iMA("EURUSD",0,ma1,0,0,4,i)-iMA("EURUSD",0,ma2,0,0,4,i);
     double b = iMA("EURJPY",0,ma1,0,0,4,i)-iMA("EURJPY",0,ma2,0,0,4,i);
     double c = iMA("USDJPY",0,ma1,0,0,4,i)-iMA("USDJPY",0,ma2,0,0,4,i);
     
     //if((a*100)/(b-c)>por){ExtMapBuffer1[i]=1;}
     // if((a*100)/(b-c)<(por*(-1))){ExtMapBuffer1[i]=-1;}
       //if((a*100)/(b-c)>(por*(-1))&&(a*100)/(b-c)<por){ExtMapBuffer1[i]=0;}
      
     
     
     ExtMapBuffer1[i]=a*100;//(a*100)-(b-c);
     ExtMapBuffer2[i]=b-c;
     
     } 





   
//----
   return(0);
  }
//+------------------------------------------------------------------+